Banda Ancha EU

Comunidad de usuarios
de fibra, móvil y ADSL

ADSL/VDSL

firmware gpl del router COMTREND 536+ actualizado

Este tema está cerrado a nuevas respuestas. Abre un nuevo tema para retomar la conversación.
Luke

son 300 megas descomprimido.. qué habrán metido ahí :D

Yo de esto poco sé, a ver si alguien se anima..

🗨️ 3
Raulito

Pues más o menos como la 221,no? Este ocupa 100 sin descomprimir, y la 221 82mb..supongo que serán las crosstools.

Y respecto a documentar lo de hacer un firmware personalizado...nadie ha querido probar uno que yo hice sin modificar ni nada, así que si quieres personalizarlo y probarlo con el tuyo...pues hombre...yo no encontré los comandos de arranque...supongo que por ahí se podría "modificar" algo.

Lo que si puedes hacer es traducir la interface web.

🗨️ 2
ediaz

Bueno, la verdad es que no tengo ningun router para hacer pruebas, la verdad es que quiza alguno podria "prestarnolo", para hacerlas.

Quiza podriamos comprarlo.

A mi me aprece que lo mejor seria un posible apartado donde poder meter los comandos que se ejecutarian nada mas arrancar (para controlar con script ancho de banda o ip_contrack).

:-)

🗨️ 1
Raulito

Ya...lo que pasa es que mucha gente tiene un router que les llegó por error, y prefieren quedarselo antes que probar cosas con el.

Y así...pues se van las ganas. Además ayer estuve mirando a fondo los scripts de inicio y lo único que he visto han sido archivos binarios, que no se pueden editar.

BocaDePez
BocaDePez

Buenas,

No consigo que compile el susodicho firmware con gcc 4, ya que me da error de redefinición de una variable static int en un include .h por otra igual no static en un .c (esto ya me ha pasado con otros programas que compilaban bien con gcc 3). Lo que no sé es si se trata de un bug de gcc 4, un bug del gcc 4 de Mandriva 2006.0, o es que realmente no se debe hacer así y hay que retocar el código fuente del firmware.

En definitiva, ¿ alguien ha conseguido compilarlo con gcc 4 ?

🗨️ 1
Raulito

No he compilado esta versión, compilé la 221. Y usé gcc 3, y me funcionó.

Además hay que hacerlo bajo rh, o eso dice el readme.